#!/bin/sh
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#=begin
#= Shell Script for Generate Initial Data
#
#   * Developers: Morikawa Yasuhiro
#   * Version: $Id: init.sh,v 1.1.1.1 2005/11/08 14:10:22 morikawa Exp $
#   * Tag Name: $Name: dcpam3-20051207 $
#   * Change History: 
#
#=end

PROGRAM=../bin/init

RM=rm
SAVELOG=/usr/bin/savelog

OUTPUT=init.nc
LOGFILE=init.log
MSGFILE=init.msg
NMLFILE=init.nml

if [ -x $SAVELOG ] ; then
    if [ -f $OUTPUT ] ; then
	$SAVELOG $OUTPUT
    fi
    if [ -f $LOGFILE ] ; then
	$SAVELOG $LOGFILE
    fi
else
    if [ -f $OUTPUT ] ; then
	$RM $OUTPUT
	echo "remove $OUTPUT"
    fi
    if [ -f $LOGFILE ] ; then
	$RM $LOGFILE
	echo "remove $LOGFILE"
    fi
fi

if [ ! -f $PROGRAM ] ; then 
    echo "$PROGRAM is not found."
    exit 1
elif [ ! -f $NMLFILE ] ; then
    echo "$NMLFILE is not found."
    exit 1
else 
    $PROGRAM 2> $LOGFILE # 1> $MSGFILE
#    $PROGRAM < $NMLFILE 1 > $LOGFILE 2>& 1
    exit 0
fi
